> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Notice Details

> Get the full details and document metadata for a single notice by reference ID.

#### Response body schema

<Card title="View response body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/taxpayer/notices/get_notice_details.json" arrow="true" horizontal />

#### Response schema

For successful responses, this reference describes the GSTN payload at `data.data`.

<Card title="View Excel field reference" icon="file-spreadsheet" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/workbook/taxpayer/notices/get_notice_details-v1.0.xlsx" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/notices/{referenceId}
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/notices/{referenceId}:
    get:
      tags:
        - Taxpayer
        - Front Office Notices
      summary: Get Notice Details
      description: >-
        Get the full details and document metadata for a single notice by
        reference ID.
      operationId: getTaxpayerNoticeDetails
      parameters:
        - name: referenceId
          in: path
          description: >-
            Notice reference ID returned by the list notices API. This maps to
            GST `refId`.
          required: true
          example: ZA2005190002553
          schema:
            type: string
        - name: authorization
          in: header
          description: GST taxpayer access token.
          required: true
          example: '{{gsp_access_token}}'
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification.
          required: true
          example: '{{api_key}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: Compliance API version.
          required: false
          example: 1.0.0
          schema:
            type: string
            default: 1.0.0
      responses:
        '200':
          description: 200 Success
          content:
            application/json:
              schema:
                type: object
                properties: {}
              examples:
                success:
                  summary: Success
                  value:
                    code: 200
                    timestamp: 1763446641000
                    transaction_id: 41bb8041-fb83-4654-8d75-85a19f329158
                    data:
                      status_cd: '1'
                      data:
                        arn: AD290419000001N
                        dateOfIssue: 05/11/2024
                        noticeType: MOV07
                        dueDateOfReply: 07/01/2025
                        taxPeriod:
                          fromMonth: MAY
                          toMonth: JAN
                          fromYear: '2017'
                          toYear: '2018'
                        maindocs:
                          - dcupdtls:
                              ct: application/pdf
                              docName: AdvanceRulingTemplate.pdf
                              hash: >-
                                87f116709df216da008b32f989fca92950371cd15e565de0a765d83fb4b5d36c
                              id: '20180926545'
                              ty: ENFS
                        suppdocs: []
          headers: {}
      deprecated: false
      security: []

````